# syd's .gitignore

#
# Normal rules
#
.*
*.o
*.o.*
*.a
*.s
*.ko
*.so
*.so.dbg
*.la
*.lo
*.gz
*.bz2
*.lzma
*.lzo
*.xz
*.patch
*.gch
*.gcno
core*
*.tmp

#
# git files that we don't want to ignore even if they are dot-files
#
!.gitlab
!.gitattributes
!.gitignore
!.gitreview
!.mailmap

# codespell files we don't want to ignore even if they are dot-files
!.codespellignore

# YAML config files that we don't want to ignore even if they are dot-files
!.*.yml

# sr.ht builds
!/.builds

# stgit generated dirs
patches-*

# quilt's files
patches
series

# cscope files
cscope.*
ncscope.*

# gnu global files
GPATH
GRTAGS
GSYMS
GTAGS

# backup files
*.bak
*.orig
*~
\#*#
*.messy

# emacs & python byte objects
*.elc
*.py[co]

# log files
*.log

# trinity
trinity[.-]*

# perf files
perf.data*

# rusty tags
rusty-tags.vi

# scdoc
man/*.1
man/*.2
man/*.5
man/*.7

# syd temporary files
*.syd-tmp

# Specific ignores
pandora*.syd-3
/bpf/*.bpf
/oprofile_data
/dev/aes-ctr
/dev/aes-xts
/dist
/doc/auto
/root
/target
/fuzz/out
!/fuzz/out/.keep
/libcosmo
node_modules
